import { OnInit, AfterViewInit, EventEmitter, OnDestroy, ChangeDetectorRef, ElementRef } from '@angular/core';
import 'konva';
import { Image as KonvaImage } from 'konva/types/shapes/Image';
import { Rect } from 'konva/types/shapes/Rect';
export declare class SdMergeImages implements OnInit, AfterViewInit, OnDestroy {
    #private;
    private ref;
    id: string;
    kImages: (Rect | KonvaImage)[];
    set height(height: number);
    set width(width: number);
    set images(images: string[]);
    save: EventEmitter<any>;
    set container(elementRef: ElementRef);
    constructor(ref: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    toImage: () => Promise<HTMLImageElement>;
    toDataUrl: () => string;
}
